---------------------
PatchSet 2680 
Date: 2003/09/11 11:24:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Stefan Allius writes:

1. Under Solaris the test command with the 'string' argument don't
   work well. So I added the '-n' argument, which might work on all
   platforms.

2. The sed under Solaris don't support the '-s' argument, which is a
   GNU extension. I changed it to '-e' which works fine for me.

Members: 
	extra/scripts/fix_includes.sh:1.4->1.5 
	extra/scripts/get-needed-libgcc-objects.sh:1.20->1.21 

---------------------
PatchSet 2681 
Date: 2003/09/11 11:26:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Stefan Allius writes:

Hello,

my patch changed the format of the ldso debug output to the same
format as on the i386 systems.

By Stefan

Members: 
	ldso/ldso/sh/elfinterp.c:1.6->1.7 

---------------------
PatchSet 2682 
Date: 2003/09/11 11:47:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Simplify an expression.  Use static const on strings to avoid
a gcc 2.95 compiler problem on powerpc.

Members: 
	ldso/ldso/readelflib1.c:1.45->1.46 

---------------------
PatchSet 2683 
Date: 2003/09/11 12:12:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt writes:

The attached patch allows $(CC) to contain spaces
(something which we use).

Members: 
	libc/Makefile:1.27->1.28 

---------------------
PatchSet 2684 
Date: 2003/09/11 12:25:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix several stupid bugs I let slip into the release

Members: 
	Rules.mak:1.139->1.140 

---------------------
PatchSet 2685 
Date: 2003/09/11 17:57:15
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Patch by Atsushi Nemoto <anemo@mba.ocn.ne.jp> to do arch-required
mapping of signal strings (alpha, mips, hppa, sparc).

Members: 
	libc/string/wstring.c:1.17->1.18 

---------------------
PatchSet 2686 
Date: 2003/09/13 17:09:42
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix a problem reported by Atsushi Nemoto <anemo@mba.ocn.ne.jp>
for environments where long and long long are the same size.

Members: 
	libc/stdio/scanf.c:1.30->1.31 

---------------------
PatchSet 2687 
Date: 2003/09/16 23:22:30
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
This should enabled building of uClibc locale support when using uClibc itself.
Sorry I didn't test this before the release.

Please remember that the locale data generation tools are not very robust,
so doing something like disabling 8-bit codeset support is likely to break
things.  As it stands, UTF-8 support is required, but I'm not sure I test
for that.

Also, you will notice a difference in the locale data generated by uClibc
verses glibc.  That's because the bg_BG locale specifies use of grouping
in LC_NUMERIC, but supplies no grouping char.  The uClibc locale code
tests for and works around this (at the moment) by disabling grouping.
But the result is slightly different data which ripples throughout the
rest of the tables.

Members: 
	extra/locale/gen_wc8bit.c:1.4->1.5 
	extra/locale/gen_wctype.c:1.3->1.4 
	libc/sysdeps/linux/common/bits/uClibc_locale.h:1.9->1.10 

---------------------
PatchSet 2688 
Date: 2003/09/17 11:37:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix fcntl64 when UCLIBC_HAS_LFS is enabled, but __NR_fcntl64
is not defined.

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.114->1.115 

---------------------
PatchSet 2689 
Date: 2003/09/17 11:39:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Philip Nye fixing mmu-less

Members: 
	extra/scripts/fix_includes.sh:1.5->1.6 

---------------------
PatchSet 2690 
Date: 2003/09/17 12:50:18
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Make sure static heaps are aligned correctly.

Members: 
	libc/stdlib/malloc/heap.h:1.12->1.13 

---------------------
PatchSet 2691 
Date: 2003/09/17 15:53:37
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make sure we use the local copy of elf.h, since some system
versions are insufficient....

Members: 
	ldso/util/Makefile:1.33->1.34 

---------------------
PatchSet 2692 
Date: 2003/09/19 11:01:08
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Add dependencies on header files.

Members: 
	libc/stdlib/malloc/Makefile:1.28->1.29 

---------------------
PatchSet 2693 
Date: 2003/09/19 11:10:33
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Make sure we don't allocate too little space for static free-areas
because of our fiddling with alignment (because doing so is VERY BAD).

Members: 
	libc/stdlib/malloc/heap.h:1.13->1.14 

---------------------
PatchSet 2694 
Date: 2003/09/19 13:06:05
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Added assembler version of startup code. Fix Makefile so it uses the new
code.

Members: 
	libc/sysdeps/linux/cris/Makefile:1.6->1.7 
	libc/sysdeps/linux/cris/crt0.S:INITIAL->1.1 

---------------------
PatchSet 2695 
Date: 2003/09/19 13:07:22
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Re-add cris to "define list" when fixing auxvt.

Members: 
	ldso/ldso/ldso.c:1.72->1.73 

---------------------
PatchSet 2696 
Date: 2003/09/19 13:11:14
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Initialize strings as pointers instead of arrays.

Members: 
	ldso/ldso/readelflib1.c:1.46->1.47 

---------------------
PatchSet 2697 
Date: 2003/09/19 13:11:43
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Corrected LD_BOOT macro

Members: 
	ldso/ldso/cris/boot1_arch.h:1.2->1.3 

---------------------
PatchSet 2698 
Date: 2003/09/19 13:12:29
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
* Partial re-write to match other archs and remove duplicate code.
* Assign insead of add when doing relocations.

Members: 
	ldso/ldso/cris/elfinterp.c:1.4->1.5 

---------------------
PatchSet 2699 
Date: 2003/09/21 20:41:53
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix "subst -g,," problem for SAFECFLAGS.

Members: 
	libc/sysdeps/linux/arm/Makefile:1.43->1.44 
	libc/sysdeps/linux/common/Makefile:1.85->1.86 
	libc/sysdeps/linux/i386/Makefile:1.56->1.57 
	libc/sysdeps/linux/powerpc/Makefile:1.20->1.21 
	libc/sysdeps/linux/sh/Makefile:1.21->1.22 

---------------------
PatchSet 2700 
Date: 2003/09/22 03:57:18
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Ugh... EOF handling by scanf was completely broken.  :-(  Regretably,
I got my mind fixed in one mode and didn't comply with the standards.
Things should be fixed now, but comparision testing is difficult when
glibc's scanf is broken and they stubbornly refuse to even acknowledge
that it is... even when confronted by specific examples from the C99
standards and from an official C standard defect report.

Members: 
	libc/stdio/scanf.c:1.31->1.32 

---------------------
PatchSet 2701 
Date: 2003/09/22 04:07:51
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Modify _stdio_READ to conform with C99, as stdio input behavior upon
   encountering EOF changed with Defect Report #141.  In the current
   standard, the stream's EOF indicator is "sticky".  Once it is set,
   all further input from the stream should fail until the application
   explicitly clears the EOF indicator (clearerr(), file positioning),
   even if more data becomes available.
Fixed a bug in fgets.  Wasn't checking for read errors.
Minor thread locking optimizations to avoid some unnecessary locking.
Remove the explicit calls to __builtin_* funcs, as we really need to
   implement a more general solution.

Members: 
	libc/stdio/stdio.c:1.71->1.72 

---------------------
PatchSet 2702 
Date: 2003/09/22 04:29:37
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Document some glibc bugs that Ulrich Drepper refuses to acknowledge.  :-(

Members: 
	docs/Glibc_vs_uClibc_Differences.txt:1.11->1.12 

---------------------
PatchSet 2703 
Date: 2003/09/22 05:01:11
Author: miles
Branch: HEAD
Tag: (none) 
Log:
More fiddling with static free-areas: make sure both their size _and_
their alignment are correct.

Members: 
	libc/stdlib/malloc/heap.h:1.14->1.15 

---------------------
PatchSet 2704 
Date: 2003/09/22 06:43:44
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
One more scanf difference.

Members: 
	docs/Glibc_vs_uClibc_Differences.txt:1.12->1.13 

---------------------
PatchSet 2705 
Date: 2003/09/23 23:49:24
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Quick fix to make sure vfprintf always checks stream orientation when
wchar support is enabled.

Members: 
	libc/stdio/printf.c:1.48->1.49 

---------------------
PatchSet 2706 
Date: 2003/09/24 09:45:36
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Hm. Keep using crt0.c for now. My fever-hack of crt0.S didn't do the
expected thing. A so called "D'oh!".

Members: 
	libc/sysdeps/linux/cris/Makefile:1.7->1.8 

---------------------
PatchSet 2707 
Date: 2003/09/26 02:33:57
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Revert to using uClibc-specific c-symbol-prefix stuff
(__C_SYMBOL_PREFIX__).

Members: 
	include/sys/cdefs.h:1.8->1.9 

---------------------
PatchSet 2708 
Date: 2003/09/29 22:46:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix SUPPORT_LD_DEBUG_EARLY on powerpc

Members: 
	ldso/include/ld_string.h:1.1->1.2 

---------------------
PatchSet 2709 
Date: 2003/09/30 08:06:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
oops.

Members: 
	extra/scripts/fix_includes.sh:1.6->1.7 

---------------------
PatchSet 2710 
Date: 2003/09/30 09:45:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Mention that I have updated the dev systems.

Members: 
	docs/uclibc.org/index.html:1.69->1.70 

---------------------
PatchSet 2711 
Date: 2003/09/30 09:54:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
grammar fixes

Members: 
	docs/uclibc.org/index.html:1.70->1.71 

---------------------
PatchSet 2712 
Date: 2003/09/30 10:32:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
typo

Members: 
	docs/uclibc.org/index.html:1.71->1.72 

---------------------
PatchSet 2713 
Date: 2003/09/30 12:51:11
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Don't forget addend on relocations + minor other fixes.

Members: 
	ldso/ldso/cris/elfinterp.c:1.5->1.6 

---------------------
PatchSet 2714 
Date: 2003/10/01 12:57:45
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Updated cris configuration.

Members: 
	extra/Configs/Config.cris.default:1.2->1.3 

---------------------
PatchSet 2715 
Date: 2003/10/03 02:17:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Quick implementation of sigwait.  Doesn't handle thread cancelation
yet, but should work...

Members: 
	libc/signal/Makefile:1.20->1.21 
	libc/signal/sigwait.c:INITIAL->1.1 

---------------------
PatchSet 2716 
Date: 2003/10/04 18:31:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a stupid bug causing 'ldd' output to not contain the full
path to the target library

Members: 
	ldso/ldso/ldso.c:1.73->1.74 

---------------------
PatchSet 2717 
Date: 2003/10/06 08:46:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
s/root_fs-/root_fs_/g

Members: 
	docs/uclibc.org/FAQ.html:1.16->1.17 
	docs/uclibc.org/index.html:1.72->1.73 
	docs/uclibc.org/old-news.html:1.13->1.14 

---------------------
PatchSet 2718 
Date: 2003/10/08 19:15:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from George Thanos adding support for the "e1" architecture.

Members: 
	extra/Configs/Config.e1:INITIAL->1.1 
	extra/Configs/Config.e1.default:INITIAL->1.1 
	libc/sysdeps/linux/e1/Makefile:INITIAL->1.1 
	libc/sysdeps/linux/e1/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/e1/crt1.c:INITIAL->1.1 
	libc/sysdeps/linux/e1/longjmp.c:INITIAL->1.1 
	libc/sysdeps/linux/e1/setjmp.c:INITIAL->1.1 
	libc/sysdeps/linux/e1/syscalls.c:INITIAL->1.1 
	libc/sysdeps/linux/e1/vfork.c:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/fenv.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/fenvinline.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/kernel_stat.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/mman.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/proto.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/unistd.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/sys/procfs.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/sys/reg.h:INITIAL->1.1 
	libc/sysdeps/linux/e1/sys/ucontext.h:INITIAL->1.1 

---------------------
PatchSet 2719 
Date: 2003/10/08 19:27:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Apply a trivial patch that doesn't change anything, but which is alledged to
workaround a toolchain specifi bug for the e1.

Members: 
	libc/misc/time/time.c:1.14->1.15 

---------------------
PatchSet 2720 
Date: 2003/10/08 20:30:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Atsushi Nemoto (with some additions):

Current uClibc contains only one fpu_control.h and it is i386 version.
This is a patch to use platform specific fpu_control.h.  All new files
come from glibc 2.3.2.  This patch is against 0.9.21 but also can be
applied to CVS as is.

Members: 
	libc/sysdeps/linux/alpha/Makefile:1.5->1.6 
	libc/sysdeps/linux/alpha/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/arm/Makefile:1.44->1.45 
	libc/sysdeps/linux/arm/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/common/Makefile:1.86->1.87 
	libc/sysdeps/linux/common/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/i386/Makefile:1.57->1.58 
	libc/sysdeps/linux/i386/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/m68k/Makefile:1.26->1.27 
	libc/sysdeps/linux/m68k/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/mips/Makefile:1.29->1.30 
	libc/sysdeps/linux/mips/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/powerpc/Makefile:1.21->1.22 
	libc/sysdeps/linux/powerpc/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/sh/Makefile:1.22->1.23 
	libc/sysdeps/linux/sh/fpu_control.h:INITIAL->1.1 
	libc/sysdeps/linux/sparc/Makefile:1.13->1.14 
	libc/sysdeps/linux/sparc/fpu_control.h:INITIAL->1.1 

---------------------
PatchSet 2721 
Date: 2003/10/08 20:35:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

I found inappropriate data types are used in some places in networking
codes.

* tcp_seq is 32bit (u_long -> u_int32_t)
* in_addt_t should be used for internet address (unsigned long -> in_addr_t)
* socklen_t should be used for accept()

This is a patch against uclibc-0.9.21 (can be applied for current
CVS).  64bit platforms (sizeof(int)!=sizeof(long)) will need this.  I
believe this patch does not harm any 32bit platforms.

Members: 
	include/netinet/ip_tcp.h:1.3->1.4 
	libc/inet/addr.c:1.13->1.14 
	libc/inet/inet_net.c:1.3->1.4 
	libc/inet/rpc/rcmd.c:1.8->1.9 
	libc/inet/rpc/rexec.c:1.1->1.2 

---------------------
PatchSet 2722 
Date: 2003/10/09 07:05:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
When someone would dlopen a shared lib that was already opened,
we would try to re-fixup the lib's relocations with rather
horrible results.  So fix that by checking the the dlopened lib
has already had its init functions called, which will never be
the case for newly loaded libs, and skip the rest in that case.

also apply a few minor fixups

Members: 
	ldso/libdl/dlib.c:1.30->1.31 

---------------------
PatchSet 2723 
Date: 2003/10/09 07:07:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
move the test for loading the wrong C library into the
_dl_check_if_named_library_is_loaded function

Members: 
	ldso/ldso/readelflib1.c:1.47->1.48 

---------------------
PatchSet 2724 
Date: 2003/10/09 10:02:05
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Rob McMullen:

Here's a patch...  Since they aren't SUSv3 functions, I don't know if
they'll ever get officially added, but it helps with BSD porting and
allows quite a few Gentoo ebuilds to compile without changing anything.

Rob

Members: 
	libc/misc/error/error.c:1.2->1.3 

---------------------
PatchSet 2725 
Date: 2003/10/10 08:34:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Implement getgrgid_r and getgrnam_r.  Rework group handling code to be fully
reentrant, since there was still a shared static value.  indent stuff,

Members: 
	libc/pwd_grp/Makefile:1.21->1.22 
	libc/pwd_grp/__getgrent.c:1.9->1.10(DEAD) 
	libc/pwd_grp/__getgrent_r.c:INITIAL->1.1 
	libc/pwd_grp/__getpwent_r.c:1.3->1.4 
	libc/pwd_grp/__getspent_r.c:1.5->1.6 
	libc/pwd_grp/__sgetspent_r.c:1.3->1.4 
	libc/pwd_grp/config.h:1.6->1.7 
	libc/pwd_grp/fgetgrent.c:1.7->1.8 
	libc/pwd_grp/fgetpwent.c:1.9->1.10 
	libc/pwd_grp/fgetspent.c:1.5->1.6 
	libc/pwd_grp/getgrgid.c:1.8->1.9 
	libc/pwd_grp/getgrnam.c:1.8->1.9 
	libc/pwd_grp/getpw.c:1.4->1.5 
	libc/pwd_grp/getpwnam.c:1.10->1.11 
	libc/pwd_grp/getpwuid.c:1.9->1.10 
	libc/pwd_grp/getspnam.c:1.5->1.6 
	libc/pwd_grp/getspuid.c:1.5->1.6 
	libc/pwd_grp/grent.c:1.9->1.10 
	libc/pwd_grp/initgroups.c:1.11->1.12 
	libc/pwd_grp/lckpwdf.c:1.3->1.4 
	libc/pwd_grp/putpwent.c:1.5->1.6 
	libc/pwd_grp/putspent.c:1.2->1.3 
	libc/pwd_grp/pwent.c:1.12->1.13 
	libc/pwd_grp/sgetspent.c:1.5->1.6 
	libc/pwd_grp/spent.c:1.6->1.7 

---------------------
PatchSet 2726 
Date: 2003/10/10 09:05:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove some stuff that is now done

Members: 
	TODO:1.43->1.44 
	docs/threads.txt:1.4->1.5 

---------------------
PatchSet 2727 
Date: 2003/10/10 10:21:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
We do not provide gmtime(), so disable the prototype to
prevent confusing autoconf

Members: 
	include/time.h:1.9->1.10 

---------------------
PatchSet 2728 
Date: 2003/10/11 09:03:48
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
These are wanted by net-tools

Members: 
	include/netax25/ax25.h:INITIAL->1.1 
	include/neteconet/ec.h:INITIAL->1.1 

---------------------
PatchSet 2729 
Date: 2003/10/11 19:14:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
I forgot to remove this

Members: 
	include/fpu_control.h:1.1->1.2(DEAD) 

---------------------
PatchSet 2730 
Date: 2003/10/12 05:19:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  It seems that csh wants glob_pattern_p(), we need to
export it,

Members: 
	libc/misc/glob/glob.c:1.5->1.6 

---------------------
PatchSet 2731 
Date: 2003/10/12 05:41:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Don't make two copies

Members: 
	libc/misc/glob/glob.c:1.6->1.7 
	libc/misc/glob/glob64.c:1.3->1.4 

---------------------
PatchSet 2732 
Date: 2003/10/12 09:49:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Always build and install ldconfig

Members: 
	Makefile:1.217->1.218 
	ldso/include/ld_elf.h:1.2->1.3 
	ldso/util/Makefile:1.34->1.35 
	ldso/util/ldconfig.c:1.10->1.11 
	ldso/util/readsoname.c:1.2->1.3 

---------------------
PatchSet 2733 
Date: 2003/10/13 09:23:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix an ldd bug, more ldconfig cleanup

Members: 
	ldso/util/ldconfig.c:1.11->1.12 
	ldso/util/ldd.c:1.33->1.34 

---------------------
PatchSet 2734 
Date: 2003/10/13 09:34:51
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter Kjellerstedt:

The attached patch performs a clean up of
extra/gcc-uClibc/Makefile:

* Better dependencies to only rebuild what is necessary.
* Use $< and $@ where appropriate.
* Suppress warning messages from which about
  commands that cannot be found.

//Peter

Members: 
	extra/gcc-uClibc/Makefile:1.58->1.59 

---------------------
PatchSet 2735 
Date: 2003/10/13 11:01:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
sigh.  the warn funcs seem to be broken.  Use local versions
till I can straighten that out.

Members: 
	ldso/util/ldconfig.c:1.12->1.13 

---------------------
PatchSet 2736 
Date: 2003/10/14 07:23:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Enable full debug support for ld-uClibc and libdl

Members: 
	ldso/ldso/Makefile:1.43->1.44 
	ldso/libdl/Makefile:1.28->1.29 

---------------------
PatchSet 2737 
Date: 2003/10/14 12:52:27
Author: davidm
Branch: HEAD
Tag: (none) 
Log:

Microblaze port from the uClinux-dist,
contributed by John Williams <jwilliams@itee.uq.edu.au>

Members: 
	extra/Configs/Config.microblaze:INITIAL->1.1 
	extra/Configs/Config.microblaze.default:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/Makefile:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/__longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/_mmap.c:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/clinkage.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/clone.c:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/crt0.S:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/longjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/setjmp.S:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/syscall.c:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/vfork.S:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/byteswap.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/endian.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/fcntl.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/kernel_stat.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/kernel_types.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/mman.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/poll.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/select.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/setjmp.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/syscalls.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/bits/wordsize.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/sys/ptrace.h:INITIAL->1.1 
	libc/sysdeps/linux/microblaze/sys/ucontext.h:INITIAL->1.1 

---------------------
PatchSet 2738 
Date: 2003/10/15 09:55:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  I was returning with an incorrect pointer type when dlopening
already loaded libs, which unsurprisingly would cause dlsym() to
not work at all...
 -Erik

Members: 
	ldso/libdl/dlib.c:1.31->1.32 

---------------------
PatchSet 2739 
Date: 2003/10/15 10:04:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Tony J. White:

I've created a patch for adding dn_expand() to uClibc 0.9.21.

dn_expand() is used by at least ipsec-tools and also openldap I think.

Members: 
	libc/inet/Makefile:1.39->1.40 
	libc/inet/resolv.c:1.47->1.48 

---------------------
PatchSet 2740 
Date: 2003/10/15 10:24:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Brett Nash writes:

Hello,
        Attached is a patch of some changes I made to the gcc wrapper to
get it to compile XFree CVS.

Basically it supports the use of '-' on the command line to read stdin
for gcc, as well as setting the file type back to none before adding the
last too .o files if the file type was set on the command line.

It is applied against uClibc-0.9.20

        Regards,
        nash

Members: 
	extra/gcc-uClibc/gcc-uClibc.c:1.62->1.63 

---------------------
PatchSet 2741 
Date: 2003/10/15 14:03:03
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Updated cris configuration; added support for %m.

Members: 
	extra/Configs/Config.cris.default:1.3->1.4 

---------------------
PatchSet 2742 
Date: 2003/10/16 05:08:02
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
More detail on the use of MALLOC_DEBUG

Members: 
	extra/Configs/Config.in:1.32->1.33 

---------------------
PatchSet 2743 
Date: 2003/10/16 11:12:45
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Don't set errno if for zero SIZE returns.
Code formatting cleanup.

Members: 
	libc/stdlib/malloc/malloc.c:1.35->1.36 

---------------------
PatchSet 2744 
Date: 2003/10/16 11:13:53
Author: miles
Branch: HEAD
Tag: (none) 
Log:
Code formatting cleanup.

Members: 
	libc/stdlib/malloc/realloc.c:1.19->1.20 

---------------------
PatchSet 2745 
Date: 2003/10/16 15:21:26
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not set errno when they asked for size 0

Members: 
	libc/stdlib/malloc-930716/malloc.c:1.11->1.12 

---------------------
PatchSet 2746 
Date: 2003/10/17 08:52:54
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Point people to the kernel.org mirrors for downloading the dev
systems to take some load off my server

Members: 
	docs/uclibc.org/FAQ.html:1.17->1.18 
	docs/uclibc.org/index.html:1.73->1.74 
	docs/uclibc.org/old-news.html:1.14->1.15 

---------------------
PatchSet 2747 
Date: 2003/10/17 10:05:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!!!

Members: 
	libc/stdlib/malloc-930716/malloc.c:1.12->1.13 

---------------------
PatchSet 2748 
Date: 2003/10/18 10:14:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Implement putgrent to make Peter S. Mazing happy

Members: 
	libc/pwd_grp/Makefile:1.22->1.23 
	libc/pwd_grp/putgrent.c:INITIAL->1.1 

---------------------
PatchSet 2749 
Date: 2003/10/18 11:07:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt writes:

install.patch:
* Define $(INSTALL) as install in Rules.mak.
* Change all occurrences of install into $(INSTALL).
* Change all occurrences of mkdir -p into $(INSTALL) -d.
  install -d is already used in a number of places so
  this should not be an additional compatibility problem.

Members: 
	Makefile:1.218->1.219 
	Rules.mak:1.140->1.141 
	extra/gcc-uClibc/Makefile:1.59->1.60 
	ldso/ldso/Makefile:1.44->1.45 
	ldso/libdl/Makefile:1.29->1.30 
	libc/Makefile:1.28->1.29 
	libc/sysdeps/linux/common/Makefile:1.87->1.88 
	libcrypt/Makefile:1.21->1.22 
	libintl/Makefile:1.1->1.2 
	libm/Makefile:1.34->1.35 
	libnsl/Makefile:1.2->1.3 
	libpthread/Makefile:1.22->1.23 
	libresolv/Makefile:1.12->1.13 
	libutil/Makefile:1.18->1.19 

---------------------
PatchSet 2750 
Date: 2003/10/18 11:18:19
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt writes:

rm.patch:
* Define $(RM) as rm -f in Rules.mak and test/Rules.mak
  (this is the same definition as gmake uses by default).
* Change all occurrences of rm and rm -f into $(RM).

Members: 
	Makefile:1.219->1.220 
	Rules.mak:1.141->1.142 
	extra/Makefile:1.4->1.5 
	extra/config/Makefile:1.8->1.9 
	extra/gcc-uClibc/Makefile:1.60->1.61 
	extra/locale/Makefile:1.13->1.14 
	ldso/Makefile:1.23->1.24 
	ldso/ldso/Makefile:1.45->1.46 
	ldso/libdl/Makefile:1.30->1.31 
	ldso/man/Makefile:1.2->1.3 
	ldso/util/Makefile:1.35->1.36 
	libc/Makefile:1.29->1.30 
	libc/inet/Makefile:1.40->1.41 
	libc/inet/rpc/Makefile:1.22->1.23 
	libc/misc/Makefile:1.39->1.40 
	libc/misc/assert/Makefile:1.8->1.9 
	libc/misc/ctype/Makefile:1.14->1.15 
	libc/misc/dirent/Makefile:1.7->1.8 
	libc/misc/error/Makefile:1.1->1.2 
	libc/misc/file/Makefile:1.4->1.5 
	libc/misc/fnmatch/Makefile:1.8->1.9 
	libc/misc/ftw/Makefile:1.2->1.3 
	libc/misc/glob/Makefile:1.9->1.10 
	libc/misc/gnu/Makefile:1.1->1.2 
	libc/misc/internals/Makefile:1.24->1.25 
	libc/misc/intl/Makefile:1.3->1.4 
	libc/misc/locale/Makefile:1.11->1.12 
	libc/misc/mntent/Makefile:1.6->1.7 
	libc/misc/pthread/Makefile:1.2->1.3 
	libc/misc/regex/Makefile:1.13->1.14 
	libc/misc/search/Makefile:1.3->1.4 
	libc/misc/statfs/Makefile:1.5->1.6 
	libc/misc/syslog/Makefile:1.6->1.7 
	libc/misc/sysvipc/Makefile:1.5->1.6 
	libc/misc/time/Makefile:1.33->1.34 
	libc/misc/ttyent/Makefile:1.1->1.2 
	libc/misc/utmp/Makefile:1.5->1.6 
	libc/misc/wchar/Makefile:1.5->1.6 
	libc/misc/wctype/Makefile:1.2->1.3 
	libc/misc/wordexp/Makefile:1.3->1.4 
	libc/pwd_grp/Makefile:1.23->1.24 
	libc/signal/Makefile:1.21->1.22 
	libc/stdio/Makefile:1.41->1.42 
	libc/stdlib/Makefile:1.53->1.54 
	libc/stdlib/malloc/Makefile:1.29->1.30 
	libc/stdlib/malloc-930716/Makefile:1.10->1.11 
	libc/string/Makefile:1.53->1.54 
	libc/sysdeps/linux/alpha/Makefile:1.6->1.7 
	libc/sysdeps/linux/arm/Makefile:1.45->1.46 
	libc/sysdeps/linux/common/Makefile:1.88->1.89 
	libc/sysdeps/linux/cris/Makefile:1.8->1.9 
	libc/sysdeps/linux/e1/Makefile:1.1->1.2 
	libc/sysdeps/linux/h8300/Makefile:1.7->1.8 
	libc/sysdeps/linux/i386/Makefile:1.58->1.59 
	libc/sysdeps/linux/i960/Makefile:1.4->1.5 
	libc/sysdeps/linux/m68k/Makefile:1.27->1.28 
	libc/sysdeps/linux/microblaze/Makefile:1.1->1.2 
	libc/sysdeps/linux/mips/Makefile:1.30->1.31 
	libc/sysdeps/linux/powerpc/Makefile:1.22->1.23 
	libc/sysdeps/linux/sh/Makefile:1.23->1.24 
	libc/sysdeps/linux/sh64/Makefile:1.1->1.2 
	libc/sysdeps/linux/sparc/Makefile:1.14->1.15 
	libc/sysdeps/linux/v850/Makefile:1.14->1.15 
	libc/termios/Makefile:1.15->1.16 
	libc/unistd/Makefile:1.33->1.34 
	libcrypt/Makefile:1.22->1.23 
	libintl/Makefile:1.2->1.3 
	libm/Makefile:1.35->1.36 
	libm/powerpc/Makefile:1.6->1.7 
	libnsl/Makefile:1.3->1.4 
	libpthread/Makefile:1.23->1.24 
	libpthread/linuxthreads/Makefile:1.10->1.11 
	libpthread/linuxthreads_db/Makefile:1.6->1.7 
	libresolv/Makefile:1.13->1.14 
	libutil/Makefile:1.19->1.20 
	test/Makefile:1.27->1.28 
	test/Rules.mak:1.23->1.24 
	test/args/Makefile:1.4->1.5 
	test/assert/Makefile:1.12->1.13 
	test/crypt/Makefile:1.4->1.5 
	test/ctype/Makefile:1.13->1.14 
	test/dlopen/Makefile:1.4->1.5 
	test/malloc/Makefile:1.7->1.8 
	test/math/Makefile:1.5->1.6 
	test/misc/Makefile:1.6->1.7 
	test/mmap/Makefile:1.4->1.5 
	test/pthread/Makefile:1.2->1.3 
	test/pwd_grp/Makefile:1.9->1.10 
	test/setjmp/Makefile:1.4->1.5 
	test/signal/Makefile:1.11->1.12 
	test/silly/Makefile:1.15->1.16 
	test/stat/Makefile:1.7->1.8 
	test/stdlib/Makefile:1.20->1.21 
	test/string/Makefile:1.22->1.23 
	test/termios/Makefile:1.6->1.7 
	test/unistd/Makefile:1.12->1.13 

---------------------
PatchSet 2751 
Date: 2003/10/18 11:50:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt writes:

ln.patch:
* Define $(LN) as ln in Rules.mak.
* Change all occurrences of ln into $(LN).
* Change all constructs like (cd path && ln -sf foo/file file)
  into $(LN) -sf foo/file path/file. The latter construct is
  already used in a number of places so it should not be
  an additional compatibility problem.

Members: 
	Makefile:1.220->1.221 
	Rules.mak:1.142->1.143 
	extra/gcc-uClibc/Makefile:1.61->1.62 
	ldso/Makefile:1.24->1.25 
	ldso/ldso/Makefile:1.46->1.47 
	ldso/libdl/Makefile:1.31->1.32 
	ldso/util/Makefile:1.36->1.37 
	libc/Makefile:1.30->1.31 
	libc/misc/locale/Makefile:1.12->1.13 
	libc/sysdeps/linux/alpha/Makefile:1.7->1.8 
	libc/sysdeps/linux/arm/Makefile:1.46->1.47 
	libc/sysdeps/linux/common/Makefile:1.89->1.90 
	libc/sysdeps/linux/i386/Makefile:1.59->1.60 
	libc/sysdeps/linux/m68k/Makefile:1.28->1.29 
	libc/sysdeps/linux/mips/Makefile:1.31->1.32 
	libc/sysdeps/linux/powerpc/Makefile:1.23->1.24 
	libc/sysdeps/linux/sh/Makefile:1.24->1.25 
	libc/sysdeps/linux/sparc/Makefile:1.15->1.16 
	libcrypt/Makefile:1.23->1.24 
	libintl/Makefile:1.3->1.4 
	libm/Makefile:1.36->1.37 
	libnsl/Makefile:1.4->1.5 
	libpthread/Makefile:1.24->1.25 
	libresolv/Makefile:1.14->1.15 
	libutil/Makefile:1.20->1.21 

---------------------
PatchSet 2752 
Date: 2003/10/18 12:52:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add a new RUNTIME_PREFIX

Members: 
	Makefile:1.221->1.222 
	extra/Configs/Config.in:1.33->1.34 

---------------------
PatchSet 2753 
Date: 2003/10/18 12:58:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
the runtime should not install a /bin dir

Members: 
	Makefile:1.222->1.223 

---------------------
PatchSet 2754 
Date: 2003/10/18 13:01:03
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not install the uClibc wrapper toolchain by default.  Make
people ask for it explicitly.

Members: 
	Makefile:1.223->1.224 

---------------------
PatchSet 2755 
Date: 2003/10/18 13:43:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
more install changes

Members: 
	Makefile:1.224->1.225 

---------------------
PatchSet 2756 
Date: 2003/10/19 01:28:47
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
We were failing to properly set h_errno on success, which could
cause gethostbyaddr_r to keep looping allocating more and more
memory each time till alloca finally caused a segfault.  Ugh.
This fixes that as well...
 -Erik

Members: 
	libc/inet/resolv.c:1.48->1.49 

---------------------
PatchSet 2757 
Date: 2003/10/20 07:17:00
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Merge some newer/updated bits from the glibc elf.h

Members: 
	include/elf.h:1.7->1.8 

---------------------
PatchSet 2758 
Date: 2003/10/20 19:23:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger:

patch to allow building uClibc with busybox's chmod

Members: 
	Makefile:1.225->1.226 

---------------------
PatchSet 2759 
Date: 2003/10/20 21:13:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a stupid bug that caused uClibc to never provide the correct
fpu_control.h header file, since the correct arch specific one was
always later overwritten by the generic one.  oops.
 -Erik

Members: 
	Makefile:1.226->1.227 
	libc/sysdeps/linux/common/Makefile:1.90->1.91 

---------------------
PatchSet 2760 
Date: 2003/10/21 01:52:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Doh!  In include/bits/uClibc_config.h when we define things, we appropriately
prepend "__".  Unfortunately, when we #undef things, we do not prepend the
"__".  This results in collateral damage to unsuspecting applications as we
undefine random unrelated macros.  Oops.

For example, when compiling xfree86, libGLcore.a defines MALLOC for its own usage.
But include/bits/uClibc_config.h then does an
    #undef MALLOC
    #define __MALLOC_930716__ 1
which inadvertantly trashes the define from libGLcore....  Ouch.

The autogenerated include/bits/uClibc_config.h should instead have
contained:
    #undef __MALLOC__
    #define __MALLOC_930716__ 1

This patch makes that happen.

Members: 
	extra/config/confdata.c:1.7->1.8 

---------------------
PatchSet 2761 
Date: 2003/10/21 07:49:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Those crazy binutils folks changed their abi.  Add this so older
apps can cope gracefully.

Members: 
	include/elf.h:1.8->1.9 

---------------------
PatchSet 2762 
Date: 2003/10/22 10:15:57
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
It seems we need to also define SI_LOAD_SHIFT since that was
also exported by the Linux kernel.h header that we do not include.

Members: 
	include/sys/sysinfo.h:1.4->1.5 

---------------------
PatchSet 2763 
Date: 2003/10/22 10:29:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Atsushi Nemoto writes:

uClibc's libm has isinf/isinff, isnan/isnanf but not finite/finitef.
Here is a patch.

Members: 
	libm/fpmacros.c:1.5->1.6 

---------------------
PatchSet 2764 
Date: 2003/10/22 10:52:24
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Per suggestion and patch from Ken Staton, emulates poll using
select for older 2.0 kernels where poll is missing.

Members: 
	libc/sysdeps/linux/common/poll.c:INITIAL->1.1 
	libc/sysdeps/linux/common/syscalls.c:1.115->1.116 

---------------------
PatchSet 2765 
Date: 2003/10/22 20:43:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger pointed out that I missed a spot.  I should
stop applying patches by hand...

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.116->1.117 

---------------------
PatchSet 2766 
Date: 2003/10/23 08:10:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter Kjellerstedt writes:

The attached patch performs a clean up of
extra/gcc-uClibc/gcc-uClibc.c:

* Use NULL for pointers and '\0' for characters;
  not the opposite...
* Fixed an (assumed) segv if --uclibc-cc was used.
* Skip the argument to -x so it isn't considered
  to be a source file.
* Simplified the loop in xstrcat().
* A little white space clean up.

//Peter

Members: 
	extra/gcc-uClibc/gcc-uClibc.c:1.63->1.64 

---------------------
PatchSet 2767 
Date: 2003/10/24 05:11:50
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
better tuning for xscale that copes with generally available toolchains

Members: 
	Rules.mak:1.143->1.144 

---------------------
PatchSet 2768 
Date: 2003/10/24 05:12:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Disable optimizations with debugging

Members: 
	Rules.mak:1.144->1.145 

---------------------
PatchSet 2769 
Date: 2003/10/24 05:52:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  It seems some stupid programs expect this...

Members: 
	include/sys/unistd.h:INITIAL->1.1 

---------------------
PatchSet 2770 
Date: 2003/10/25 03:59:33
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add -msoft-float to SAFECFLAGS when necessary.

Members: 
	libc/sysdeps/linux/common/Makefile:1.91->1.92 

---------------------
PatchSet 2771 
Date: 2003/10/25 07:35:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
properly deal with soft-float when profiling as well

Members: 
	libc/sysdeps/linux/arm/Makefile:1.47->1.48 
	libc/sysdeps/linux/i386/Makefile:1.60->1.61 
	libc/sysdeps/linux/powerpc/Makefile:1.24->1.25 
	libc/sysdeps/linux/sh/Makefile:1.25->1.26 

---------------------
PatchSet 2772 
Date: 2003/10/31 06:19:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
gdb wants to dlopen "libthread_db.so.1", so be sure to assign
the correct soname

Members: 
	libpthread/Makefile:1.25->1.26 

---------------------
PatchSet 2773 
Date: 2003/10/31 20:17:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
getpwent(), getpwent_r(), and getgrent(), getgrent_r() would all
fail if you had not previously called setpwent() or setgrent()
respectively.  Oops.  My bad.
 -Erik

Members: 
	libc/pwd_grp/__getgrent_r.c:1.1->1.2 
	libc/pwd_grp/__getpwent_r.c:1.4->1.5 
	libc/pwd_grp/pwent.c:1.13->1.14 

---------------------
PatchSet 2774 
Date: 2003/10/31 23:25:58
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Some more soft float fixes... for arm in particular (libfloat).
Remove the ADD_LIBGCC_FUNCTIONS option and do things the right way.
  Either we have a shared libgcc available, or the libgcc routines
  aren't PIC and don't belong in the shared libc anyway.

Members: 
	Rules.mak:1.145->1.146 
	extra/Configs/Config.arm:1.37->1.38 
	extra/Configs/Config.cris.default:1.4->1.5 
	extra/Configs/Config.in:1.34->1.35 
	ldso/util/Makefile:1.37->1.38 
	libc/Makefile:1.31->1.32 
	libc/misc/wchar/Makefile:1.6->1.7 

---------------------
PatchSet 2775 
Date: 2003/10/31 23:50:25
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Fix Erik's typo.

Members: 
	libc/pwd_grp/__getpwent_r.c:1.5->1.6 

---------------------
PatchSet 2776 
Date: 2003/11/01 03:55:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
this script is no longer used, and can be removed.

Members: 
	extra/scripts/get-needed-libgcc-objects.sh:1.21->1.22(DEAD) 

---------------------
PatchSet 2777 
Date: 2003/11/01 04:40:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix things (properly) to open /etc/passd and /etc/group if
they have not yet been opened.

My last try was completely and embarrasingly broken.
 -Erik

Members: 
	libc/pwd_grp/__getgrent_r.c:1.2->1.3 
	libc/pwd_grp/__getpwent_r.c:1.6->1.7 
	libc/pwd_grp/grent.c:1.10->1.11 
	libc/pwd_grp/pwent.c:1.14->1.15 

---------------------
PatchSet 2778 
Date: 2003/11/01 04:49:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add some additional pwd/grp tests, to prevent me from
breaking obvious things in the future.
 -Erik

Members: 
	test/pwd_grp/.cvsignore:1.2->1.3 
	test/pwd_grp/Makefile:1.10->1.11 
	test/pwd_grp/grcat.c:INITIAL->1.1 
	test/pwd_grp/pwcat.c:INITIAL->1.1 

---------------------
PatchSet 2779 
Date: 2003/11/02 07:39:23
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Hopefully fix the struct tm extension problem once and for all.
Also fix a dst-related bug which caused the use of uninitialized data.

Members: 
	include/time.h:1.10->1.11 
	libc/misc/time/time.c:1.15->1.16 

---------------------
PatchSet 2780 
Date: 2003/11/02 08:29:10
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
If realloc failed, we'd lose the pointer to the exit function table.

Members: 
	libc/stdlib/atexit.c:1.23->1.24 

---------------------
PatchSet 2781 
Date: 2003/11/02 09:45:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Make the syscall locally, avoid an extern

Members: 
	libc/sysdeps/linux/common/ptrace.c:1.1->1.2 

---------------------
PatchSet 2782 
Date: 2003/11/02 10:00:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Be extra careful to check uid and gid converstions to kernel types

Members: 
	libc/sysdeps/linux/common/syscalls.c:1.117->1.118 

---------------------
PatchSet 2783 
Date: 2003/11/02 10:01:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add some missing prototypes

Members: 
	include/unistd.h:1.24->1.25 

---------------------
PatchSet 2784 
Date: 2003/11/02 10:03:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Both setegid and seteuid were implemented suboptimally, such that
we were unable to switch back to the original saved group/user ID.
 -Erik

Members: 
	libc/sysdeps/linux/common/setegid.c:1.4->1.5 
	libc/sysdeps/linux/common/seteuid.c:1.4->1.5 

---------------------
PatchSet 2785 
Date: 2003/11/02 21:35:27
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Implement getgrent_r.  Rework getpwent and getgrent a bit further

Members: 
	libc/pwd_grp/grent.c:1.11->1.12 
	libc/pwd_grp/pwent.c:1.15->1.16 

---------------------
PatchSet 2786 
Date: 2003/11/02 21:55:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Additional passwd and group tests

Members: 
	test/pwd_grp/.cvsignore:1.3->1.4 
	test/pwd_grp/Makefile:1.11->1.12 
	test/pwd_grp/getgroups.c:INITIAL->1.1 
	test/pwd_grp/grcat.c:1.1->1.2 
	test/pwd_grp/pwcat.c:1.1->1.2 

---------------------
PatchSet 2787 
Date: 2003/11/03 08:43:01
Author: tobiasa
Branch: HEAD
Tag: (none) 
Log:
Updated to match the other architectures. Fixes problem with "fcntl:
function not implemented".

Members: 
	libc/sysdeps/linux/cris/bits/fcntl.h:1.2->1.3 

---------------------
PatchSet 2788 
Date: 2003/11/03 09:48:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Remove warning that apparently is not needed for e1

Members: 
	libc/sysdeps/linux/e1/bits/kernel_stat.h:1.1->1.2 

---------------------
PatchSet 2789 
Date: 2003/11/03 09:50:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Begin preparations for the next release

Members: 
	Rules.mak:1.146->1.147 

---------------------
PatchSet 2790 
Date: 2003/11/04 05:49:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor makefile tweaks

Members: 
	Makefile:1.227->1.228 

---------------------
PatchSet 2791 
Date: 2003/11/04 08:51:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Minor cleanup

Members: 
	libcrypt/Makefile:1.24->1.25 

---------------------
PatchSet 2792 
Date: 2003/11/04 08:52:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
minor cleanup

Members: 
	libintl/Makefile:1.4->1.5 
	libm/Makefile:1.37->1.38 
	libnsl/Makefile:1.5->1.6 
	libpthread/Makefile:1.26->1.27 

---------------------
PatchSet 2793 
Date: 2003/11/04 09:00:56
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
minor cleanup

Members: 
	libc/Makefile:1.32->1.33 
	libresolv/Makefile:1.15->1.16 
	libutil/Makefile:1.21->1.22 

---------------------
PatchSet 2794 
Date: 2003/11/04 13:07:39
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rework the config system.  Better utilize the Kconfig language
which should simplify enabling arbitrary architectures.
 -Erik

Members: 
	Makefile:1.228->1.229 
	Rules.mak:1.147->1.148 
	extra/Makefile:1.5->1.6 
	extra/Configs/Config.alpha:1.10->1.11 
	extra/Configs/Config.arm:1.38->1.39 
	extra/Configs/Config.arm.default:1.2->1.3(DEAD) 
	extra/Configs/Config.cris:1.7->1.8 
	extra/Configs/Config.cris.default:1.5->1.6(DEAD) 
	extra/Configs/Config.e1:1.1->1.2 
	extra/Configs/Config.e1.default:1.1->1.2(DEAD) 
	extra/Configs/Config.h8300:1.14->1.15 
	extra/Configs/Config.h8300.default:1.1->1.2(DEAD) 
	extra/Configs/Config.i386:1.35->1.36 
	extra/Configs/Config.i386.default:1.7->1.8(DEAD) 
	extra/Configs/Config.i960:1.10->1.11 
	extra/Configs/Config.in:1.35->1.36 
	extra/Configs/Config.in.arch:1.9->1.10 
	extra/Configs/Config.m68k:1.30->1.31 
	extra/Configs/Config.m68k.default:1.1->1.2(DEAD) 
	extra/Configs/Config.microblaze:1.1->1.2 
	extra/Configs/Config.microblaze.default:1.1->1.2(DEAD) 
	extra/Configs/Config.mips:1.36->1.37 
	extra/Configs/Config.mips.default:1.3->1.4(DEAD) 
	extra/Configs/Config.mipsel:1.35->1.36(DEAD) 
	extra/Configs/Config.mipsel.default:1.3->1.4(DEAD) 
	extra/Configs/Config.powerpc:1.31->1.32 
	extra/Configs/Config.powerpc.default:1.1->1.2(DEAD) 
	extra/Configs/Config.sh:1.36->1.37 
	extra/Configs/Config.sh.default:1.2->1.3(DEAD) 
	extra/Configs/Config.sh64:1.1->1.2(DEAD) 
	extra/Configs/Config.sh64.default:1.1->1.2(DEAD) 
	extra/Configs/Config.sparc:1.13->1.14 
	extra/Configs/Config.v850:1.2->1.3 
	extra/Configs/Config.v850.default:1.1->1.2(DEAD) 
	extra/config/Kconfig-language.txt:1.1->1.2 
	extra/config/menu.c:1.2->1.3 
	ldso/include/ld_elf.h:1.3->1.4 
	ldso/ldso/Makefile:1.47->1.48 
	ldso/ldso/readelflib1.c:1.48->1.49 
	ldso/libdl/Makefile:1.32->1.33 
	ldso/util/Makefile:1.38->1.39 
	ldso/util/ldconfig.c:1.13->1.14 
	ldso/util/ldd.c:1.34->1.35 

---------------------
PatchSet 2795 
Date: 2003/11/04 13:15:04
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off the gcc wrapper.  It has served us well, but there comes a time when
90% of correct is simply not good enough.  Some people will not be very happy
about the decision to kill the wrapper toolchain.  Sorry, but a real toolchain
is the One True Way(tm).
 -Erik

Members: 
	extra/gcc-uClibc/.cvsignore:1.6->1.7(DEAD) 
	extra/gcc-uClibc/Makefile:1.62->1.63(DEAD) 
	extra/gcc-uClibc/gcc-uClibc.c:1.64->1.65(DEAD) 

---------------------
PatchSet 2796 
Date: 2003/11/04 13:35:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Naming things this way will be much easier to deal with

Members: 
	extra/Configs/Config.in:1.36->1.37 

---------------------
PatchSet 2797 
Date: 2003/11/04 20:46:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Peter S. Mazinger writes:

Hello!

The latest changes document ldd in RUNTIME_PREFIX/bin, but it is installed
in RUNTIME_PREFIX/usr/bin

Peter

Members: 
	extra/Configs/Config.in:1.37->1.38 

---------------------
PatchSet 2798 
Date: 2003/11/04 20:58:11
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
As Peter S. Mazinger has pointed out, the config system wants
some defaults.  So give it some empty defaults and let people
select their own options.

Members: 
	extra/Configs/Config.default:INITIAL->1.1 
	extra/config/confdata.c:1.8->1.9 

---------------------
PatchSet 2799 
Date: 2003/11/05 00:29:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Begin the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/i386/Makefile:1.61->1.62 
	libc/sysdeps/linux/i386/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/i386/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2800 
Date: 2003/11/05 00:38:49
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/arm/Makefile:1.48->1.49 
	libc/sysdeps/linux/arm/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/arm/crtn.S:INITIAL->1.1 
	libc/sysdeps/linux/powerpc/Makefile:1.25->1.26 
	libc/sysdeps/linux/powerpc/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/powerpc/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2801 
Date: 2003/11/05 01:08:23
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill off "mipsel" and just use "mips"

Members: 
	Makefile:1.229->1.230 
	Rules.mak:1.148->1.149 
	docs/uclibc.org/FAQ.html:1.18->1.19 
	extra/Configs/Config.mips:1.37->1.38 
	extra/scripts/fix_includes.sh:1.7->1.8 

---------------------
PatchSet 2802 
Date: 2003/11/05 01:14:46
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Do not provide a default for endianness.  This needs to be selected
on a per-arch basis, or left to the user to choose.

Members: 
	extra/Configs/Config.in.arch:1.10->1.11 

---------------------
PatchSet 2803 
Date: 2003/11/05 01:44:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/mips/Makefile:1.32->1.33 
	libc/sysdeps/linux/mips/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/mips/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2804 
Date: 2003/11/05 01:54:45
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Oops

Members: 
	extra/Configs/Config.sh:1.37->1.38 

---------------------
PatchSet 2805 
Date: 2003/11/05 02:04:16
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/sh/Makefile:1.26->1.27 
	libc/sysdeps/linux/sh/crti.S:1.2->1.3 
	libc/sysdeps/linux/sh/crtn.S:1.2->1.3 

---------------------
PatchSet 2806 
Date: 2003/11/05 02:09:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Force cris to be little endian.  Afaik, there is no big
endian cris architecture.

Members: 
	extra/Configs/Config.cris:1.8->1.9 

---------------------
PatchSet 2807 
Date: 2003/11/05 02:12:55
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Arthur Shipkowski, art ! videon-central ! com, writes:

I've noticed a few people have posted over the last year about problems
compiling programs that use vfork when pthreads are involved.  Some
detective work turned up that ptfork.c aliases vfork to fork and then tries
to call the original fork as __libc_fork.  This patch removes the aliasing
when there is no MMU present, and uses the same call semantics to call
__libc_vfork.  I then added a symbol to the m68k vfork.S to allow vfork to
be called as __libc_vfork.

The same bug exists in the uClibc CVS, and with a possible tweak this patch
should go through there as well.

Obviously, all other platforms need __libc_vfork as a workable means to call
vfork in order for this to work for them.

Let me know if there are any problems with this patch.

Art Shipkowski
Videon Central Software Engineer
(814)235-1111 x307

Members: 
	libc/sysdeps/linux/m68k/vfork.S:1.3->1.4 
	libpthread/linuxthreads/ptfork.c:1.1->1.2 

---------------------
PatchSet 2808 
Date: 2003/11/05 02:16:29
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Patch from Peter S. Mazinger to hunt for awk in additional
places....

Members: 
	Rules.mak:1.149->1.150 

---------------------
PatchSet 2809 
Date: 2003/11/05 02:21:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/cris/Makefile:1.9->1.10 
	libc/sysdeps/linux/cris/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/cris/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2810 
Date: 2003/11/05 02:26:15
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
powerpc is always big endian

Members: 
	extra/Configs/Config.powerpc:1.32->1.33 

---------------------
PatchSet 2811 
Date: 2003/11/05 02:41:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
m68k is always big endian afaik

Members: 
	extra/Configs/Config.m68k:1.31->1.32 

---------------------
PatchSet 2812 
Date: 2003/11/05 02:45:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a buglet that shows up on powerpc

Members: 
	ldso/ldso/readelflib1.c:1.49->1.50 

---------------------
PatchSet 2813 
Date: 2003/11/05 03:32:14
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/m68k/Makefile:1.29->1.30 
	libc/sysdeps/linux/m68k/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/m68k/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2814 
Date: 2003/11/05 04:27:32
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Yet more config system updates

Members: 
	extra/Configs/Config.alpha:1.11->1.12 
	extra/Configs/Config.e1:1.2->1.3 
	extra/Configs/Config.h8300:1.15->1.16 
	extra/Configs/Config.i960:1.11->1.12 
	extra/Configs/Config.in:1.38->1.39 
	extra/Configs/Config.m68k:1.32->1.33 
	extra/Configs/Config.microblaze:1.2->1.3 
	extra/Configs/Config.sh:1.38->1.39 
	extra/Configs/Config.sparc:1.14->1.15 
	extra/Configs/Config.v850:1.3->1.4 

---------------------
PatchSet 2815 
Date: 2003/11/05 05:04:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Yet more messing with selecting sane default configs

Members: 
	extra/Configs/Config.alpha:1.12->1.13 
	extra/Configs/Config.e1:1.3->1.4 
	extra/Configs/Config.h8300:1.16->1.17 
	extra/Configs/Config.i960:1.12->1.13 
	extra/Configs/Config.in:1.39->1.40 
	extra/Configs/Config.m68k:1.33->1.34 
	extra/Configs/Config.microblaze:1.3->1.4 
	extra/Configs/Config.sparc:1.15->1.16 
	extra/Configs/Config.v850:1.4->1.5 

---------------------
PatchSet 2816 
Date: 2003/11/05 05:08:30
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
duh.  the alpha has an fpu

Members: 
	extra/Configs/Config.alpha:1.13->1.14 

---------------------
PatchSet 2817 
Date: 2003/11/05 05:13:53
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/alpha/Makefile:1.8->1.9 
	libc/sysdeps/linux/alpha/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/alpha/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2818 
Date: 2003/11/05 05:20:36
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
v850 appers to be little endian only

Members: 
	extra/Configs/Config.v850:1.5->1.6 

---------------------
PatchSet 2819 
Date: 2003/11/05 05:30:06
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/v850/Makefile:1.15->1.16 
	libc/sysdeps/linux/v850/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/v850/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2820 
Date: 2003/11/05 05:43:31
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/sparc/Makefile:1.16->1.17 
	libc/sysdeps/linux/sparc/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/sparc/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2821 
Date: 2003/11/05 05:57:18
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Continue the conversion to using per-arch crti.S and crtn.S

Members: 
	libc/sysdeps/linux/sh64/Makefile:1.2->1.3 
	libc/sysdeps/linux/sh64/crti.S:INITIAL->1.1 
	libc/sysdeps/linux/sh64/crtn.S:INITIAL->1.1 

---------------------
PatchSet 2822 
Date: 2003/11/05 06:31:40
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Kill initfini.awk

Members: 
	Rules.mak:1.150->1.151 
	extra/scripts/initfini.awk:1.9->1.10(DEAD) 
	libc/sysdeps/linux/common/Makefile:1.92->1.93 

---------------------
PatchSet 2823 
Date: 2003/11/05 06:42:41
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add quick hacks to create fake crti.o and crtn.o files.  These architectures
need to be fixed properly.  I tried, but I was unable to build a cross
toolchain for each of these (using stock binutils and gcc) so it is someone
else's problem to fix them now.

Members: 
	libc/sysdeps/linux/e1/Makefile:1.2->1.3 
	libc/sysdeps/linux/h8300/Makefile:1.8->1.9 
	libc/sysdeps/linux/i960/Makefile:1.5->1.6 
	libc/sysdeps/linux/microblaze/Makefile:1.2->1.3 

---------------------
PatchSet 2824 
Date: 2003/11/05 06:44:22
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
last but certinaly not least, kill off initfini.c

Members: 
	libc/sysdeps/linux/common/initfini.c:1.14->1.15(DEAD) 

---------------------
PatchSet 2825 
Date: 2003/11/05 07:08:20
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rip the guts out of the dynamically generated sysconf.c, and live with a simple
static version.  This will need further work later on, but should do the job for
the time being,

Members: 
	libc/unistd/.cvsignore:1.1->1.2(DEAD) 
	libc/unistd/Makefile:1.34->1.35 
	libc/unistd/sysconf.c:1.14->1.15 

---------------------
PatchSet 2826 
Date: 2003/11/05 10:12:08
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Rework the powerpc lib loader to better match the other architectures

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.21->1.22 

---------------------
PatchSet 2827 
Date: 2003/11/05 10:46:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
tiny cleanup

Members: 
	ldso/ldso/i386/elfinterp.c:1.25->1.26 

---------------------
PatchSet 2828 
Date: 2003/11/05 10:47:01
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix a misnamed array

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.22->1.23 

---------------------
PatchSet 2829 
Date: 2003/11/05 19:12:35
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Remove erroneous trailing semicolon.

Members: 
	libc/sysdeps/linux/common/bits/uClibc_stdio.h:1.12->1.13 

---------------------
PatchSet 2830 
Date: 2003/11/06 09:14:25
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add some initial x86 string optimizations.  These make no attempt to use nifty
things like mmx/3dnow/etc.  These are not inline, and will therefore not be as
fast as modifying the headers to use inlines (and cannot therefore do tricky
things when dealing with const memory).  But they should (I hope!) be faster
than their generic equivalents....

More importantly, these should provide a good example for others to follow when
adding arch specific optimizations.
 -Erik

Members: 
	libc/string/Makefile:1.54->1.55 
	libc/string/i386/Makefile:INITIAL->1.1 
	libc/string/i386/string.c:INITIAL->1.1 

---------------------
PatchSet 2831 
Date: 2003/11/06 09:39:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
The curse of cut-n-paste

Members: 
	libc/string/Makefile:1.55->1.56 
	libc/string/i386/Makefile:1.1->1.2 

---------------------
PatchSet 2832 
Date: 2003/11/06 13:03:42
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
A few debugging cleanups

Members: 
	ldso/ldso/powerpc/elfinterp.c:1.23->1.24 

---------------------
PatchSet 2833 
Date: 2003/11/06 19:44:43
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
George Thanos writes:

Dear Erik,

We downloded uClibc lattest version from the CVS. Still there are some
minor problems with extra/Configs/Config.e1

You have actually set ARCH_HAS_C_SYMBOL_PREFIX to NO which is not
correct for our architecture. Please apply the patch that will fix the
problem.

Best Regards,

- George

P.S. Patch also removes some irritating comments we have added in the past.

Members: 
	extra/Configs/Config.e1:1.4->1.5 
	libc/sysdeps/linux/e1/Makefile:1.3->1.4 
	libc/sysdeps/linux/e1/bits/endian.h:1.1->1.2 

---------------------
PatchSet 2834 
Date: 2003/11/06 20:29:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add in aliases provided by the non arch specific implementations

Members: 
	libc/string/i386/string.c:1.1->1.2 

---------------------
PatchSet 2835 
Date: 2003/11/06 20:56:03
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Rewrite the pwd.h, grp.h, and shadow.h functions (except lckpwdf/ulckpwdf).

Members: 
	libc/pwd_grp/Makefile:1.24->1.25 
	libc/pwd_grp/__getgrent_r.c:1.3->1.4(DEAD) 
	libc/pwd_grp/__getpwent_r.c:1.7->1.8(DEAD) 
	libc/pwd_grp/__getspent_r.c:1.6->1.7(DEAD) 
	libc/pwd_grp/__sgetspent_r.c:1.4->1.5(DEAD) 
	libc/pwd_grp/config.h:1.7->1.8(DEAD) 
	libc/pwd_grp/fgetgrent.c:1.8->1.9(DEAD) 
	libc/pwd_grp/fgetpwent.c:1.10->1.11(DEAD) 
	libc/pwd_grp/fgetspent.c:1.6->1.7(DEAD) 
	libc/pwd_grp/getgrgid.c:1.9->1.10(DEAD) 
	libc/pwd_grp/getgrnam.c:1.9->1.10(DEAD) 
	libc/pwd_grp/getpw.c:1.5->1.6(DEAD) 
	libc/pwd_grp/getpwnam.c:1.11->1.12(DEAD) 
	libc/pwd_grp/getpwuid.c:1.10->1.11(DEAD) 
	libc/pwd_grp/getspnam.c:1.6->1.7(DEAD) 
	libc/pwd_grp/getspuid.c:1.6->1.7(DEAD) 
	libc/pwd_grp/grent.c:1.12->1.13(DEAD) 
	libc/pwd_grp/initgroups.c:1.12->1.13(DEAD) 
	libc/pwd_grp/putgrent.c:1.1->1.2(DEAD) 
	libc/pwd_grp/putpwent.c:1.6->1.7(DEAD) 
	libc/pwd_grp/putspent.c:1.3->1.4(DEAD) 
	libc/pwd_grp/pwd_grp.c:INITIAL->1.1 
	libc/pwd_grp/pwent.c:1.16->1.17(DEAD) 
	libc/pwd_grp/sgetspent.c:1.6->1.7(DEAD) 
	libc/pwd_grp/spent.c:1.7->1.8(DEAD) 

---------------------
PatchSet 2836 
Date: 2003/11/06 21:13:03
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Oops... don't need recursive mutexes.

Members: 
	libc/pwd_grp/pwd_grp.c:1.1->1.2 

---------------------
PatchSet 2837 
Date: 2003/11/06 21:14:22
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add a utility macro.

Members: 
	libc/sysdeps/linux/common/bits/uClibc_stdio.h:1.13->1.14 

---------------------
PatchSet 2838 
Date: 2003/11/06 21:22:21
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
s,(DEVEL_PREFIX)/,(DEVEL_PREFIX),g

Members: 
	Makefile:1.230->1.231 

---------------------
PatchSet 2839 
Date: 2003/11/06 21:23:34
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
s,(RUNTIME_PREFIX)/,(RUNTIME_PREFIX),g

Members: 
	Makefile:1.231->1.232 

---------------------
PatchSet 2840 
Date: 2003/11/06 22:01:03
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Sigh... I wasn't checking if the gid field in a group line actually
contained a digit.  Also adjust a comment.

Members: 
	libc/pwd_grp/pwd_grp.c:1.2->1.3 

---------------------
PatchSet 2841 
Date: 2003/11/06 22:09:38
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Revert change 1.26, which breaks everything.  :-(

Members: 
	ldso/ldso/i386/elfinterp.c:1.26->1.27 

---------------------
PatchSet 2842 
Date: 2003/11/06 22:38:44
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Begin converting the client utils

Members: 
	Makefile:1.232->1.233 
	ldso/Makefile:1.25->1.26 
	ldso/util/.cvsignore:1.5->1.6(DEAD) 
	ldso/util/Makefile:1.39->1.40(DEAD) 
	ldso/util/bswap.h:1.3->1.4(DEAD) 
	ldso/util/ldconfig.c:1.14->1.15(DEAD) 
	ldso/util/ldd.c:1.35->1.36(DEAD) 
	ldso/util/readelf.c:1.9->1.10(DEAD) 
	ldso/util/readsoname.c:1.3->1.4(DEAD) 
	ldso/util/readsoname.h:1.1->1.2(DEAD) 
	ldso/util/readsoname2.c:1.1->1.2(DEAD) 
	utils/.cvsignore:INITIAL->1.1 
	utils/Makefile:INITIAL->1.1 
	utils/bswap.h:INITIAL->1.1 
	utils/ldconfig.c:INITIAL->1.1 
	utils/ldd.c:INITIAL->1.1 
	utils/readelf.c:INITIAL->1.1 
	utils/readsoname.c:INITIAL->1.1 
	utils/readsoname.h:INITIAL->1.1 
	utils/readsoname2.c:INITIAL->1.1 

---------------------
PatchSet 2843 
Date: 2003/11/07 04:13:28
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
It is remotely possible the utils might even compile this time
around...

Members: 
	Makefile:1.233->1.234 
	Rules.mak:1.151->1.152 
	utils/Makefile:1.1->1.2 

---------------------
PatchSet 2844 
Date: 2003/11/07 05:44:10
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
remove some junk I added while debugging

Members: 
	Makefile:1.234->1.235 

---------------------
PatchSet 2845 
Date: 2003/11/07 06:08:27
Author: mjn3
Branch: HEAD
Tag: (none) 
Log:
Add clock_gettime() submitted by Justus Pendleton <uc@ryoohki.net>.

Members: 
	libc/misc/time/Makefile:1.34->1.35 
	libc/misc/time/clock_gettime.c:INITIAL->1.1 

---------------------
PatchSet 2846 
Date: 2003/11/07 06:22:12
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Sigh.  I forgot to define INSTALL which, understandable,
broke the install target

Members: 
	utils/Makefile:1.2->1.3 

---------------------
PatchSet 2847 
Date: 2003/11/08 00:32:17
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Add some basic cvs usage info

Members: 
	docs/uclibc.org/cvs_anon.html:1.4->1.5 

---------------------
PatchSet 2848 
Date: 2003/11/08 06:33:35
Author: andersen
Branch: HEAD
Tag: (none) 
Log:
Fix up several errors related to filename length and errno that
showed up while running the latest LTP testsuite.
 -Erik

Members: 
	libc/misc/ftw/ftw.c:1.4->1.5 
	libc/sysdeps/linux/common/syscalls.c:1.118->1.119 

